<div class="image-card" [ngClass]="{ snapped: btnText === 'Dislike' }">
    <H3>{{ image.name }}</H3>
    <img [src]="image.picture" [alt]='image.name'/>
    <p>{{ image.describe }}</p>
    <p>Percent satisfaction : {{ 47 | percent }}</p>
    <p>Number travelers : {{ 1.548 | number : '1.0-2' }} M</p>
    <p>Price : {{ 450.0 | currency : 'EUR':'code' }}</p>
    <span [ngStyle]="{ color: 'rgb(0,' + image.likes/3 + ',0)'}">{{ image.likes }}</span> Likes
    <button (click)="addLike()" >{{ btnText }}</button>
    <a routerLink="/facelikes">Back</a>
</div>

    


